# -*- coding: utf-8 -*-
# Copyright (c) 2022 European Union.
#
# The tool was developed with the contribution of the Joint Research Centre of the European Commission.
#
# This program is free software: you can redistribute it and/or modify it under the terms of the European Union Public
# Licence, either version 1.2 of the License, or (at your option) any later version.
# You may not use this work except in compliance with the Licence.
#
# You may obtain a copy of the Licence at: https://joinup.ec.europa.eu/collection/eupl/eupl-guidelines-faq-infographics
#
# Unless required by applicable law or agreed to in writing, software distributed under the Licence is distributed on
# an "AS IS" basis, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#
# See the Licence for the specific language governing permissions and limitations under the Licence.

"""
/***************************************************************************
 INCA Natural Capital Accounting plugin.
 Generated by Plugin Builder: http://g-sherman.github.io/Qgis-Plugin-Builder/
 ***************************************************************************/

 This script initializes the plugin, making it known to QGIS.
"""
# Check all required dependencies are met
from inca_plugin.install_deps import check_dependencies

class empty_plugin:

    def __init__(self):
        pass

    def initGui(self):
        pass

    def unload(self):
        pass


# noinspection PyPep8Naming
def classFactory(iface):  # pylint: disable=invalid-name
    """Load IncaPlugin class from file IncaPlugin.

    :param iface: A QGIS interface instance.
    :type iface: QgsInterface
    """
    # Only try to load real plugin if all required dependencies are there:
    if not check_dependencies():
        return empty_plugin()

    from .inca_plugin import IncaPlugin
    return IncaPlugin(iface)
